%global __brp_check_rpaths %{nil} 

Name:           doomsday
Version:        2.3.1
Release:        2%{?dist}
Summary:        DOOM / Heretic / Hexen source port with enhanced graphics
License:        GPLv3+
URL:            http://dengine.net
Source0:        %{name}-%{version}.tar.gz


BuildRequires:  gcc-c++
BuildRequires:  freealut-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:	qt5-qtbase-static
BuildRequires:	libXrandr-devel
BuildRequires:	fluidsynth-devel
BuildRequires:	qt5-qtx11extras-devel
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  libpng-devel
BuildRequires:  ncurses-devel
BuildRequires:  cmake
BuildRequires:  curl-devel
BuildRequires:  xz
BuildRequires:  zlib-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:	assimp-devel
BuildRequires:	SDL2-devel
BuildRequires:	SDL2_mixer-devel
BuildRequires:	python3
BuildRequires:	minizip-devel
BuildRequires:	zziplib-devel
BuildRequires:	libXxf86vm-devel
Requires:       timidity++
Requires:	assimp
Requires:	SDL2
Requires:	qt5-qtbase
Requires:	python3
Requires:	minizip
Requires:	zziplib
Requires:	libXxf86vm

%description
The Doomsday Engine is a source port of id Software's DOOM and Raven 
Software's Heretic and Hexen, available for multiple platforms. Doomsday
enhances these classic games with many features including 3D graphics, fully
customizable controls and client/server networking, making them more 
accessible to modern gamers. 

%prep
%autosetup -n %{name}-%{version}

%build
mkdir _BUILD_
cd _BUILD_
%cmake .. -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
rm -rf $RPM_BUILD_ROOT
cd _BUILD_
%cmake_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/doomsday*
%{_bindir}/md2tool
%{_bindir}/savegametool*
%{_bindir}/texc
%{_bindir}/wadtool
%{_includedir}/assimp/*
%{_includedir}/de/*
%{_includedir}/doomsday/*
%{_includedir}/gamefw/*
/usr/lib/debug/*
%{_libdir}/cmake*
%{_libdir}/doomsday*
%{_libdir}/libdeng*
%{_datadir}/applications/net.dengine*
%{_docdir}/texc/*
%{_datadir}/doomsday/*
%{_datadir}/icons/hicolor/256x256/apps/net.dengine.Doomsday.png
%{_datadir}/metainfo/net.dengine.Doomsday.appdata.xml

%changelog
* Wed Mar 30 2022 Andrew Schott <andrew@schotty.com> 2.3.1-2
- Had to disable BRP due to code refusing to build.

* Sun Sep 19 2021 Andrew Schott <andrew@schotty.com> 2.3.1-1
- Rebase spec for EL8

* Sat Jul 1 2017 Andrew Schott <andrew@schotty.com> 2.0.2-1
- Update to 2.0.2

* Sat May 14 2016 Andrew Schott <andrew@schotty.com> 1.15.7
- Update to 1.15.7

* Sat Aug 29 2015 Andrew Schott <andrew@schotty.com> 1.15.0
- Repurposed spec file for use with RHEL7
- Upgrade version to 1.15.0

* Sun Jun 15 2014 Ernesto Manriquez <alejandronova@gmail.com> - 1.14.4-1
- upgrade to 1.14.4
- more fixes

* Thu Mar 13 2014 Dhiru Kholia <dhiru@openwall.com> - 1.13.2-2
- misc. fixes (BZ #1071062)

* Thu Feb 27 2014 Dhiru Kholia <dhiru@openwall.com> - 1.13.2-1
- initial version (based on .spec written by Juan Manuel Borges Caño)
